> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Payroll Journal Report

> Start an asynchronous job to generate a customizable Payroll Journal report with configurable columns and grouping.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/custom-payroll-journal
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/custom-payroll-journal:
    post:
      summary: Create Custom Payroll Journal Report
      description: Create a custom payroll journal report.
      operationId: create-a-custom-payroll-journal
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - media_type
                - start_date
                - end_date
              properties:
                companyID:
                  type: string
                  description: Zeal Company ID
                media_type:
                  type: string
                  description: >-
                    The type of format this report can be downloaded as. Payroll
                    Journals currently support "csv" and "pdf".
                  enum:
                    - csv
                    - pdf
                start_date:
                  type: string
                  description: >-
                    The first check date this report should retrieve checks for.
                    Date should be in ISO-8601 format (YYYY-MM-DD).
                  format: date
                end_date:
                  type: string
                  description: >-
                    The last check date this report should retrieve checks for.
                    Date should be in ISO-8601 format (YYYY-MM-DD).
                  format: date
                fields:
                  type: object
                  description: Optional fields and parameters for Custom Payroll Journal
                  properties:
                    employee_taxes:
                      type: boolean
                      description: >-
                        Boolean to include employee taxes in the Custom Payroll
                        Journal report
                    employer_taxes:
                      type: boolean
                      description: >-
                        Boolean to include employer taxes in the Custom Payroll
                        Journal report
                    deductions:
                      type: boolean
                      description: >-
                        Boolean to include deductions in the Custom Payroll
                        Journal report
                    net_pay:
                      type: boolean
                      description: Boolean to include employee's net pay
                    earnings:
                      type: boolean
                      description: Boolean to include employee's earnings
                    disbursement:
                      type: boolean
                      description: Boolean to include disbursement
                    gross_pay:
                      type: boolean
                      description: Boolean to include employee's gross pay
                    employer_check_id:
                      type: boolean
                      description: Boolean to include employer check ID
                customer_account_ids:
                  type: array
                  description: Filter by customer account(s) (Early Access)
                  items:
                    type: string
            examples:
              Request Example:
                value:
                  start_date: 03-22-2022
                  end_date: 04-10-2022
                  companyID: 24b5b29f07924840b119c34c1358940c
                  media_type: pdf
                  fields:
                    employee_taxes: false
                    employer_taxes: false
                    deductions: false
                    net_pay: false
                    earnings: false
                    disbursement: false
                    gross_pay: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: 7282b13f-254f-4eb9-bt88-24f429be6aa0
                      status: pending
                      request_body:
                        start_date: 03-22-2022
                        end_date: 04-10-2022
                        companyID: 24b5b29f07924840b119c34c1358940c
                        media_type: pdf
                        fields:
                          employee_taxes: false
                          employer_taxes: false
                          deductions: false
                          net_pay: false
                          earnings: false
                          disbursement: false
                          gross_pay: false
                        has_live_key: true
                        report_format: custom_payroll_journal
                      created_at: '2023-12-18T22:15:08.977Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: 7282b13f-254f-4eb9-bt88-24f429be6aa0
                      status:
                        type: string
                        example: pending
                      request_body:
                        type: object
                        properties:
                          start_date:
                            type: string
                            example: 03-22-2022
                          end_date:
                            type: string
                            example: 04-10-2022
                          companyID:
                            type: string
                            example: 24b5b29f07924840b119c34c1358940c
                          media_type:
                            type: string
                            example: pdf
                          fields:
                            type: object
                            properties:
                              employee_taxes:
                                type: boolean
                                example: false
                                default: true
                              employer_taxes:
                                type: boolean
                                example: false
                                default: true
                              deductions:
                                type: boolean
                                example: false
                                default: true
                              net_pay:
                                type: boolean
                                example: false
                                default: true
                              earnings:
                                type: boolean
                                example: false
                                default: true
                              disbursement:
                                type: boolean
                                example: false
                                default: true
                              gross_pay:
                                type: boolean
                                example: false
                                default: true
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          report_format:
                            type: string
                            example: custom_payroll_journal
                      created_at:
                        type: string
                        example: '2023-12-18T22:15:08.977Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Must provide a valid companyID
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Must provide a valid companyID
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````